.btn-main {
    color: $white;
    outline: none;
    cursor: pointer;
    min-height: rem(52);
    font-weight: 700;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(32);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    font-family: $font-family-primary;
    border: rem(2) solid transparent;
    background: $blue;
    border-radius: rem(8);
    fill: $white;
    transition: .25s;

    &:hover {
        color: $white;
        background: $blue-dark;
        text-decoration: none;
        fill: $white;
        transition: .25s;
    }

    &:active {
        background: $blue;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(26);
    }

    span + i {
        margin-left: rem(10);
    }

    i + span {
        margin-left: rem(10);
    }

    &:disabled {
        opacity: 0.42;

        &:active {
            background: $blue;
        }
    }
}

.btn-gradient {
    background: linear-gradient(347.3deg, #0074DF -6.06%, #12ABE9 84.4%);
}

.btn-rounded {
    border-radius: rem(26);
}

.btn-lg {
    height: rem(72);
}
